Upstream information

CVE-2014-5270 at MITRE

Description

Libgcrypt before 1.5.4, as used in GnuPG and other products, does not properly perform ciphertext normalization and ciphertext randomization, which makes it easier for physically proximate attackers to conduct key-extraction attacks by leveraging the ability to collect voltage data from exposed metal, a different vector than CVE-2013-4576.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 892464 [RESOLVED / FIXED], 920057 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
Patchnames:
sledsp3-libgcrypt-devel
SUSE Linux Enterprise Server 11 SP3
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
  • libgcrypt11-x86 >= 1.5.0-0.17.1
Patchnames:
slessp3-libgcrypt-devel
SUSE Linux Enterprise Server 11 SP4
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
  • libgcrypt11-x86 >= 1.5.0-0.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libgcrypt11
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
  • libgcrypt11-x86 >= 1.5.0-0.17.1
Patchnames:
slessp3-libgcrypt-devel
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
  • libgcrypt11-x86 >= 1.5.0-0.17.1
Patchnames:
slessp3-libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgcrypt-devel >= 1.5.0-0.17.1
  • libgcrypt-devel-32bit >= 1.5.0-0.17.1
Patchnames:
sdksp3-libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgcrypt-devel >= 1.5.0-0.17.1
  • libgcrypt-devel-32bit >= 1.5.0-0.17.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libgcrypt-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgcrypt-devel >= 1.5.0-0.17.1
Builds
SAT Patch Nr: 9646
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgcrypt-devel >= 1.5.0-0.17.1
  • libgcrypt-devel-32bit >= 1.5.0-0.17.1
Builds
SAT Patch Nr: 9646
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libgcrypt11 >= 1.5.0-0.17.1
Builds
SAT Patch Nr: 9646
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-32bit >= 1.5.0-0.17.1
Builds
SAT Patch Nr: 9646
SUSE Linux Enterprise Server 11 SP3
  • libgcrypt11 >= 1.5.0-0.17.1
  • libgcrypt11-x86 >= 1.5.0-0.17.1
Builds
SAT Patch Nr: 9646


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 libgcrypt Released
SUSE Linux Enterprise Desktop 10 SP4 libgcrypt Released
SUSE Linux Enterprise Desktop 11 SP1 libgcrypt Released
SUSE Linux Enterprise Desktop 11 SP3 libgcrypt Released
SUSE Linux Enterprise Module for Legacy Software 12 compat-libgcrypt11 Already fixed
SUSE Linux Enterprise SDK 11 SP1 libgcrypt Released
SUSE Linux Enterprise SDK 11 SP3 libgcrypt Released
SUSE Linux Enterprise Server 10 SP3 libgcrypt Released
SUSE Linux Enterprise Server 10 SP4 libgcrypt Released
SUSE Linux Enterprise Server 10 SP4 LTSS libgcrypt Released
SUSE Linux Enterprise Server 11 SP1 libgcrypt Released
SUSE Linux Enterprise Server 11 SP1 LTSS libgcrypt Released
SUSE Linux Enterprise Server 11 SP3 libgcrypt Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 libgcrypt Released
SUSE Linux Enterprise Server for VMWare 11 SP3 libgcrypt Released